package com.bwie.common.remote.ord.factory;

import com.bwie.common.domain.request.Pay;
import com.bwie.common.remote.ord.OrdRemoteService;
import com.bwie.common.result.Result;
import lombok.extern.java.Log;
import lombok.extern.log4j.Log4j2;
import org.springframework.cloud.openfeign.FallbackFactory;
import org.springframework.stereotype.Component;

@Component
@Log4j2
public class OrdRemoteFactory implements FallbackFactory<OrdRemoteService> {
    @Override
    public OrdRemoteService create(Throwable cause) {
        return new OrdRemoteService() {
            @Override
            public Result addord(Pay pay) {
                log.error("[{}-{}]添加订单远程调用错误",pay,cause.getMessage(),cause);
                return Result.error();
            }
        };
    }
}
