package com.bwie.common.remote.user.factory;

import com.bwie.common.domain.User;
import com.bwie.common.remote.user.UserRemoteService;
import com.bwie.common.result.Result;
import lombok.extern.log4j.Log4j2;
import org.springframework.cloud.openfeign.FallbackFactory;
import org.springframework.stereotype.Component;

@Component
@Log4j2
public class UserRemoteFactory implements FallbackFactory<UserRemoteService> {
    @Override
    public UserRemoteService create(Throwable cause) {
        return new UserRemoteService() {
            @Override
            public Result<User> findtel(String userTel) {
                log.error("[{}-{}]查找电话远程调用错误",userTel,cause.getMessage(),cause);
                return Result.error();
            }
        };
    }
}
