package com.bwie.es;

import com.bwie.common.domain.Goods;
import com.bwie.es.service.EsService;
import org.mybatis.spring.annotation.MapperScan;
import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.cloud.client.discovery.EnableDiscoveryClient;
import org.springframework.scheduling.annotation.EnableScheduling;

import javax.annotation.PostConstruct;
import java.util.List;

@SpringBootApplication
@EnableDiscoveryClient
@MapperScan("com.bwie.es.mapper")
@EnableScheduling
public class EsApp {
    private final EsService esService;

    public EsApp(EsService esService) {
        this.esService = esService;
    }

    public static void main(String[] args) {
        SpringApplication.run(EsApp.class);
    }

    @PostConstruct
    public void Sync(){
        List<Goods> findall = esService.findall();
        esService.BatchAdd(findall);
    }
}
