package com.bwie.es.sync;

import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.bwie.common.domain.Goods;
import com.bwie.es.mapper.EsMapper;
import com.bwie.es.service.EsService;
import org.springframework.scheduling.annotation.Scheduled;
import org.springframework.stereotype.Component;

import java.util.List;

@Component
public class MyTask {
    private final EsMapper esMapper;
    private final EsService esService;

    public MyTask(EsMapper esMapper, EsService esService) {
        this.esMapper = esMapper;
        this.esService = esService;
    }

    @Scheduled(cron = "0/30 * * * * *")
    public void checkSync(){
        LambdaQueryWrapper<Goods> goodsLambdaQueryWrapper = new LambdaQueryWrapper<>();
        goodsLambdaQueryWrapper.eq(Goods::getGoodsSync,2);
        List<Goods> goods = esMapper.selectList(goodsLambdaQueryWrapper);
        if(goods.size()>0){
            esService.BatchAdd(goods);
        }
    }
}
