package com.bwie.ord.controller;

import com.bwie.common.domain.Ord;
import com.bwie.common.domain.request.Pay;
import com.bwie.common.domain.response.OrdRes;
import com.bwie.common.result.Result;
import com.bwie.ord.service.OrdService;
import org.springframework.web.bind.annotation.*;

import java.util.Date;
import java.util.List;

@RestController
@ResponseBody
public class OrdController {

    private final OrdService ordService;

    public OrdController(OrdService ordService) {
        this.ordService = ordService;
    }


    @PostMapping("addord")
    public Result addord(@RequestBody Pay pay){
       ordService.addord(pay);
       return Result.success();
    }

    @GetMapping("show")
    public Result showord(){
        List<OrdRes> show = ordService.showord();
        return Result.success(show);
    }

    @PostMapping("tui")
    public Result tui(@RequestParam Long ordId,Integer goodsXin){
        ordService.tui(ordId,goodsXin);
        return Result.success();
    }


    @GetMapping("showtui")
    public Result showtui(){
        List<Ord> show = ordService.showtui();
        return Result.success(show);
    }
}
