package com.bwie.ord.service;

import cn.hutool.core.util.RandomUtil;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.bwie.common.constant.TokenConstants;
import com.bwie.common.domain.Ord;
import com.bwie.common.domain.User;
import com.bwie.common.domain.request.Pay;
import com.bwie.common.domain.response.OrdRes;
import com.bwie.common.redis.RedisCache;
import com.bwie.common.utils.JwtUtils;
import com.bwie.ord.mapper.OrdMapper;
import org.springframework.stereotype.Service;

import javax.servlet.http.HttpServletRequest;
import java.util.Calendar;
import java.util.Date;
import java.util.List;

@Service
public class OrdServiceImpl extends ServiceImpl<OrdMapper, Ord> implements OrdService{
    private final OrdMapper ordMapper;

    private final RedisCache redisCache;
    private final HttpServletRequest request;

    public OrdServiceImpl(OrdMapper ordMapper, RedisCache redisCache, HttpServletRequest request) {
        this.ordMapper = ordMapper;
        this.redisCache = redisCache;
        this.request = request;
    }

    @Override
    public void addord(Pay pay) {
        String s = RandomUtil.randomNumbers(6);
        pay.setOrdHao(s);
        pay.getCarIds().stream().forEach(c->{
            String[] split = c.split("-");
            Integer id= Integer.valueOf(split[0]);
            Integer price= Integer.valueOf(split[1]);
            Long goodsId= Long.valueOf(split[2]);
            ordMapper.addord(pay,id,price,info().getUserId(),goodsId);
        });

    }

    @Override
    public List<OrdRes> showord() {
        return ordMapper.showord(info().getUserId());
    }

    @Override
    public List<Ord> showtui() {
        return ordMapper.showtui(info().getUserId());
    }

    @Override
    public void tui(Long ordId, Integer goodsXin) {
        Date date = new Date();

        if(goodsXin==2){
            Calendar calendar = Calendar.getInstance();
            calendar.setTime(date);
            // 增加两天
            calendar.add(Calendar.DAY_OF_MONTH, 2);
            // 获取增加后的日期
            date = calendar.getTime();
        }
        ordMapper.tui(ordId,date);
    }

    public User info() {
        String header = request.getHeader(TokenConstants.TOKEN);
        String userKey = JwtUtils.getUserKey(header);
        User cacheObject = redisCache.getCacheObject(TokenConstants.LOGIN_TOKEN_KEY + userKey);
        return cacheObject;
    }
}
